package com.sooka.sponest.middleware.base.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.ruoyi.common.core.utils.StringUtils;
import com.ruoyi.common.datascope.annotation.DataScopeMutiDept;
import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import com.sooka.sponest.middleware.base.config.ParamConfig;
import com.sooka.sponest.middleware.base.dao.BaseMapper;
import com.sooka.sponest.middleware.base.entity.vo.CameraVO;
import com.sooka.sponest.middleware.base.service.IBaseESService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * @Auther: mjq
 * @Date: 2023/7/5 - 07 - 05 - 23:13
 * @Description: com.sooka.sponest.rabbitmq.base.bean.service.Impl
 * @version: 1.0
 */
@Service
public class BaseESServiceImpl implements IBaseESService {

    @Autowired
    private BaseMapper baseMapper;

    @DataScopeMutiDept(deptAlias = "d")
    @Override
    public List<Long> getDeptIds(BaseBusinessEntity baseBusinessEntity) {
        baseBusinessEntity.setDatabase_system(ParamConfig.getSystemDB());
        return baseMapper.getDeptIds(baseBusinessEntity);
    }

    @Override
    public List<Long> getDeptAndChildIds(Long deptId) {
        return baseMapper.getDeptAndChildIds(ParamConfig.getSystemDB(), deptId);
    }

    @Override
    public List<CameraVO> getCameraList(List<JSONObject> pointList) {
        if (StringUtils.isEmpty(pointList) || StringUtils.isEmpty(pointList.get(0).getJSONArray("deviceList"))) {
            return new ArrayList<>();
        }
        List<String> ids = pointList.get(0).getJSONArray("deviceList").toJavaList(String.class);
        return baseMapper.getCameraList(ParamConfig.getMonitorDB(), ids);
    }

    @Override
    public List<String> getPictureList(String busId) {
        return baseMapper.getPictureList(ParamConfig.getDataDB(), ParamConfig.getSystemDB(), busId);
    }
}
