package com.sooka.sponest.middleware.data.basicdata.service.impl;

import com.ruoyi.common.security.utils.DictUtils;
import com.sooka.sponest.data.api.basicdata.domain.Firehydrant;
import com.sooka.sponest.data.api.basicdata.domain.Firehydrant2;
import com.sooka.sponest.data.api.basicdata.domain.Firehydrant3;
import com.sooka.sponest.middleware.data.basicdata.dao.Firehydrant1Dao;
import com.sooka.sponest.middleware.data.basicdata.dao.Firehydrant2Dao;
import com.sooka.sponest.middleware.data.basicdata.dao.Firehydrant3Dao;
import com.sooka.sponest.middleware.data.basicdata.service.IFirehydrantService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class FirehydrantServiceImpl implements IFirehydrantService {

    @Autowired
    private Firehydrant1Dao firehydrant1Dao;

    @Autowired
    private Firehydrant2Dao firehydrant2Dao;

    @Autowired
    private Firehydrant3Dao firehydrant3Dao;

    @Override
    public void save(Firehydrant firehydrant) {
        firehydrant.setLocation(new GeoPoint(Double.valueOf(firehydrant.getLatitude()), Double.valueOf(firehydrant.getLongitude())));
        firehydrant.setFirehydrantTypeLabel(DictUtils.getDictDataByValue("firehydrant",firehydrant.getFirehydrantType()));
        String type = firehydrant.getFirehydrantType();
        // 判断是否需要删除原有索引数据
        if (firehydrant1Dao.existsById(firehydrant.getId()) && !type.equals("firehydrant_1")) {
            firehydrant1Dao.deleteById(firehydrant.getId());
        } else if (firehydrant2Dao.existsById(firehydrant.getId()) && !type.equals("firehydrant_2")) {
            firehydrant2Dao.deleteById(firehydrant.getId());
        } else if (firehydrant3Dao.existsById(firehydrant.getId()) && !type.equals("firehydrant_3")) {
            firehydrant3Dao.deleteById(firehydrant.getId());
        }
        switch (type) {
            case "firehydrant_1":
                firehydrant1Dao.save(firehydrant);
                break;
            case "firehydrant_2":
                Firehydrant2 firehydrant2 = new Firehydrant2();
                BeanUtils.copyProperties(firehydrant, firehydrant2);
                firehydrant2Dao.save(firehydrant2);
                break;
            case "firehydrant_3":
                Firehydrant3 firehydrant3 = new Firehydrant3();
                BeanUtils.copyProperties(firehydrant, firehydrant3);
                firehydrant3Dao.save(firehydrant3);
                break;
            default:
                break;
        }
    }

    @Override
    public void deleteAllById(List<String> ids) {
        firehydrant1Dao.deleteAllById(ids);
        firehydrant2Dao.deleteAllById(ids);
        firehydrant3Dao.deleteAllById(ids);
    }
}
