package com.sooka.sponest.middleware.data.basicdata.service.impl;

import com.sooka.sponest.data.api.basicdata.domain.Watercrane;
import com.sooka.sponest.middleware.data.basicdata.dao.WatercraneDao;
import com.sooka.sponest.middleware.data.basicdata.service.IWatercraneService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class WatercraneServiceImpl implements IWatercraneService {

    @Autowired
    private WatercraneDao watercraneDao;

    @Override
    public void save(Watercrane watercrane) {
        watercrane.setLocation(new GeoPoint(Double.valueOf(watercrane.getLatitude()), Double.valueOf(watercrane.getLongitude())));
        watercraneDao.save(watercrane);
    }

    public void deleteAllById(List<String> ids) {
        watercraneDao.deleteAllById(ids);
    }
}
