package com.sooka.sponest.middleware.data.digitalagriculture.service.impl;

import com.sooka.sponest.data.api.digitalagriculture.domain.FarmEnterprise;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmEnterprise2;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmEnterprise3;
import com.sooka.sponest.middleware.data.digitalagriculture.dao.CenterdataTFarmEnterprise1Dao;
import com.sooka.sponest.middleware.data.digitalagriculture.dao.CenterdataTFarmEnterprise2Dao;
import com.sooka.sponest.middleware.data.digitalagriculture.dao.CenterdataTFarmEnterprise3Dao;
import com.sooka.sponest.middleware.data.digitalagriculture.service.ICenterdataTFarmEnterpriseService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ICenterdataTFarmEnterpriseServiceImpl implements ICenterdataTFarmEnterpriseService {

    @Autowired
    private CenterdataTFarmEnterprise1Dao centerdataTFarmEnterprise1Dao;

    @Autowired
    private CenterdataTFarmEnterprise2Dao centerdataTFarmEnterprise2Dao;

    @Autowired
    private CenterdataTFarmEnterprise3Dao centerdataTFarmEnterprise3Dao;

    @Override
    public void save(FarmEnterprise farmEnterprise) {
        farmEnterprise.setLocation(new GeoPoint(Double.valueOf(farmEnterprise.getLatitude()), Double.valueOf(farmEnterprise.getLongitude())));
        String type = farmEnterprise.getType();
        switch (type) {
            case "1":
                centerdataTFarmEnterprise1Dao.save(farmEnterprise);
                break;
            case "2":
                FarmEnterprise2 farmEnterprise2 = new FarmEnterprise2();
                BeanUtils.copyProperties(farmEnterprise, farmEnterprise2);
                centerdataTFarmEnterprise2Dao.save(farmEnterprise2);
                break;
            case "3":
                FarmEnterprise3 farmEnterprise3 = new FarmEnterprise3();
                BeanUtils.copyProperties(farmEnterprise, farmEnterprise3);
                centerdataTFarmEnterprise3Dao.save(farmEnterprise3);
                break;
            default:
                break;
        }
    }

    @Override
    public void deleteAllById(List<String> ids) {
        centerdataTFarmEnterprise1Dao.deleteAllById(ids);
        centerdataTFarmEnterprise2Dao.deleteAllById(ids);
        centerdataTFarmEnterprise3Dao.deleteAllById(ids);
    }
}
