package com.sooka.sponest.middleware.data.digitalagriculture.service.impl;

import com.ruoyi.common.security.utils.DictUtils;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmFilingsLivestock;
import com.sooka.sponest.middleware.data.digitalagriculture.dao.CenterdataTFarmFilingsLivestockDao;
import com.sooka.sponest.middleware.data.digitalagriculture.service.ICenterdataTFarmFilingsLivestockService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ICenterdataTFarmFilingsLivestockServiceImpl implements ICenterdataTFarmFilingsLivestockService {

    @Autowired
    private CenterdataTFarmFilingsLivestockDao centerdataTFarmFilingsLivestockDao;

    @Override
    public void save(FarmFilingsLivestock farmFilingsLivestock) {
        farmFilingsLivestock.setLocation(new GeoPoint(Double.valueOf(farmFilingsLivestock.getLatitude()), Double.valueOf(farmFilingsLivestock.getLongitude())));
        farmFilingsLivestock.setVarietiesLabel(DictUtils.getDictDataByValue("centerdata_breeding_variety",farmFilingsLivestock.getVarieties()));
        centerdataTFarmFilingsLivestockDao.save(farmFilingsLivestock);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        centerdataTFarmFilingsLivestockDao.deleteAllById(ids);
    }
}
