package com.sooka.sponest.middleware.data.digitalagriculture.service.impl;

import com.ruoyi.common.core.utils.StringUtils;
import com.ruoyi.common.security.utils.DictUtils;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmGreenhouseFilmInfo;
import com.sooka.sponest.middleware.data.digitalagriculture.dao.CenterdataTFarmGreenhouseFilmInfoDao;
import com.sooka.sponest.middleware.data.digitalagriculture.service.ICenterdataTFarmGreenhouseFilmInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ICenterdataTFarmGreenhouseFilmInfoServiceImpl implements ICenterdataTFarmGreenhouseFilmInfoService {

    @Autowired
    private CenterdataTFarmGreenhouseFilmInfoDao centerdataTFarmGreenhouseFilmInfoDao;

    @Override
    public void save(FarmGreenhouseFilmInfo farmGreenhouseFilmInfo) {
        farmGreenhouseFilmInfo.setLocation(new GeoPoint(Double.valueOf(farmGreenhouseFilmInfo.getLatitude()), Double.valueOf(farmGreenhouseFilmInfo.getLongitude())));
        if (StringUtils.isNotEmpty(farmGreenhouseFilmInfo.getPlantType())) {
            farmGreenhouseFilmInfo.setPlantTypeLabel(DictUtils.getDictDataListByValue("plant_category", farmGreenhouseFilmInfo.getPlantType()));
        }
        if (StringUtils.isNotEmpty(farmGreenhouseFilmInfo.getParkNature())) {
            farmGreenhouseFilmInfo.setParkNatureLabel(DictUtils.getDictDataListByValue("park_nature", farmGreenhouseFilmInfo.getParkNature()));
        }
        centerdataTFarmGreenhouseFilmInfoDao.save(farmGreenhouseFilmInfo);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        centerdataTFarmGreenhouseFilmInfoDao.deleteAllById(ids);
    }
}
