package com.sooka.sponest.middleware.data.digitalemergency.service.impl;

import com.ruoyi.common.security.utils.DictUtils;
import com.sooka.sponest.data.api.digitalemergency.domain.EmergencyEnterprises;
import com.sooka.sponest.middleware.data.digitalemergency.dao.CenterdataTEmergencyEnterprisesDao;
import com.sooka.sponest.middleware.data.digitalemergency.service.ICenterdataTEmergencyEnterprisesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CenterdataTEmergencyEnterprisesServiceImpl implements ICenterdataTEmergencyEnterprisesService {

    @Autowired
    private CenterdataTEmergencyEnterprisesDao centerdataTEmergencyEnterprisesDao;

    @Override
    public void save(EmergencyEnterprises emergencyEnterprises) {
        emergencyEnterprises.setLocation(new GeoPoint(Double.valueOf(emergencyEnterprises.getLatitude()), Double.valueOf(emergencyEnterprises.getLongitude())));
        emergencyEnterprises.setCategoryLabel(DictUtils.getDictDataByValue("enterprises_type",emergencyEnterprises.getCategory()));
        centerdataTEmergencyEnterprisesDao.save(emergencyEnterprises);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        centerdataTEmergencyEnterprisesDao.deleteAllById(ids);
    }
}
