package com.sooka.sponest.middleware.data.digitalemergency.service.impl;

import com.sooka.sponest.data.api.digitalemergency.domain.EmergencyPatrolpoint;
import com.sooka.sponest.middleware.data.digitalemergency.dao.CenterdataTEmergencyPatrolpointDao;
import com.sooka.sponest.middleware.data.digitalemergency.service.ICenterdataTEmergencyPatrolpointService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CenterdataTEmergencyPatrolpointServiceImpl implements ICenterdataTEmergencyPatrolpointService {

    @Autowired
    private CenterdataTEmergencyPatrolpointDao centerdataTEmergencyPatrolpointDao;

    @Override
    public void save(EmergencyPatrolpoint emergencyPatrolpoint) {
        emergencyPatrolpoint.setLocation(new GeoPoint(Double.valueOf(emergencyPatrolpoint.getLatitude()), Double.valueOf(emergencyPatrolpoint.getLongitude())));
        centerdataTEmergencyPatrolpointDao.save(emergencyPatrolpoint);
    }

    @Override
    public void saveAll(List<EmergencyPatrolpoint> emergencyPatrolpoints) {
        for (EmergencyPatrolpoint emergencyPatrolpoint : emergencyPatrolpoints) {
            emergencyPatrolpoint.setLocation(new GeoPoint(Double.valueOf(emergencyPatrolpoint.getLatitude()), Double.valueOf(emergencyPatrolpoint.getLongitude())));
        }
        centerdataTEmergencyPatrolpointDao.saveAll(emergencyPatrolpoints);
    }

}
