package com.sooka.sponest.middleware.data.digitalemergency.service.impl;

import com.ruoyi.common.security.utils.DictUtils;
import com.sooka.sponest.data.api.digitalemergency.domain.EmergencyTeam;
import com.sooka.sponest.middleware.data.digitalemergency.dao.CenterdataTEmergencyTeamDao;
import com.sooka.sponest.middleware.data.digitalemergency.service.ICenterdataTEmergencyTeamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CenterdataTEmergencyTeamServiceImpl implements ICenterdataTEmergencyTeamService {

    @Autowired
    private CenterdataTEmergencyTeamDao centerdataTEmergencyTeamDao;

    @Override
    public void save(EmergencyTeam emergencyTeam) {
        emergencyTeam.setLocation(new GeoPoint(Double.valueOf(emergencyTeam.getLatitude()), Double.valueOf(emergencyTeam.getLongitude())));
        emergencyTeam.setTeamNatureLabel(DictUtils.getDictDataByValue( "emergency_team_nature",emergencyTeam.getTeamNature()));
        centerdataTEmergencyTeamDao.save(emergencyTeam);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        centerdataTEmergencyTeamDao.deleteAllById(ids);
    }
}
