package com.sooka.sponest.middleware.data.digitalemergency.service.impl;

import com.sooka.sponest.data.api.digitalemergency.domain.EmergencyWarehouse;
import com.sooka.sponest.middleware.data.digitalemergency.dao.CenterdataTEmergencyWarehouseDao;
import com.sooka.sponest.middleware.data.digitalemergency.service.ICenterdataTEmergencyWarehouseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CenterdataTEmergencyWarehouseServiceImpl implements ICenterdataTEmergencyWarehouseService {

    @Autowired
    private CenterdataTEmergencyWarehouseDao centerdataTEmergencyWarehouseDao;

    @Override
    public void save(EmergencyWarehouse emergencyWarehouse) {
        emergencyWarehouse.setLocation(new GeoPoint(Double.valueOf(emergencyWarehouse.getLatitude()), Double.valueOf(emergencyWarehouse.getLongitude())));
        centerdataTEmergencyWarehouseDao.save(emergencyWarehouse);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        centerdataTEmergencyWarehouseDao.deleteAllById(ids);
    }
}
