package com.sooka.sponest.middleware.data.digitalenvironment.service.impl;

import com.sooka.sponest.data.api.digitalagriculture.domain.FarmEnterprise2;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmEnterprise3;
import com.sooka.sponest.data.api.digitalenvironment.domain.EnvironmentBiggas;
import com.sooka.sponest.data.api.digitalenvironment.domain.EnvironmentBiggas2;
import com.sooka.sponest.data.api.digitalenvironment.domain.EnvironmentBiggas3;
import com.sooka.sponest.middleware.data.digitalenvironment.dao.CenterdataTEnvironmentBiggas2Dao;
import com.sooka.sponest.middleware.data.digitalenvironment.dao.CenterdataTEnvironmentBiggas3Dao;
import com.sooka.sponest.middleware.data.digitalenvironment.dao.CenterdataTEnvironmentBiggasDao;
import com.sooka.sponest.middleware.data.digitalenvironment.service.ICenterdataTEnvironmentBiggasService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zhaozhan
 * @date 2023/7/21
 */
@Service
public class CenterdataTEnvironmentBiggasServiceImpl implements ICenterdataTEnvironmentBiggasService {

    @Autowired
    private CenterdataTEnvironmentBiggasDao centerdataTEnvironmentBiggasDao;
    @Autowired
    private CenterdataTEnvironmentBiggas2Dao centerdataTEnvironmentBiggas2Dao;
    @Autowired
    private CenterdataTEnvironmentBiggas3Dao centerdataTEnvironmentBiggas3Dao;

    @Override
    public void save(EnvironmentBiggas environmentBiggas) {
        environmentBiggas.setLocation(new GeoPoint(Double.valueOf(environmentBiggas.getLatitude()), Double.valueOf(environmentBiggas.getLongitude())));
        String type = environmentBiggas.getType();
        switch (type) {
            case "1":
                centerdataTEnvironmentBiggasDao.save(environmentBiggas);
                break;
            case "2":
                EnvironmentBiggas2 environmentBiggas2 = new EnvironmentBiggas2();
                BeanUtils.copyProperties(environmentBiggas, environmentBiggas2);
                centerdataTEnvironmentBiggas2Dao.save(environmentBiggas2);
                break;
            case "3":
                EnvironmentBiggas3 environmentBiggas3 = new EnvironmentBiggas3();
                BeanUtils.copyProperties(environmentBiggas, environmentBiggas3);
                centerdataTEnvironmentBiggas3Dao.save(environmentBiggas3);
                break;
            default:
                break;
        }
    }

    @Override
    public void deleteAllById(List<String> ids) {
        centerdataTEnvironmentBiggasDao.deleteAllById(ids);
        centerdataTEnvironmentBiggas2Dao.deleteAllById(ids);
        centerdataTEnvironmentBiggas3Dao.deleteAllById(ids);
    }
}
