package com.sooka.sponest.middleware.data.digitalfirecontrol.service.impl;

import com.sooka.sponest.data.api.digitalfire.domain.FireForce;
import com.sooka.sponest.middleware.data.digitalfirecontrol.dao.FireForceDao;
import com.sooka.sponest.middleware.data.digitalfirecontrol.service.IFireForceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class IFireForceServiceImpl implements IFireForceService {

    @Autowired
    private FireForceDao fireForceDao;

    @Override
    public void save(FireForce fireForces) {
        fireForces.setLocation(new GeoPoint(Double.valueOf(fireForces.getLatitude()), Double.valueOf(fireForces.getLongitude())));
        fireForceDao.save(fireForces);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        fireForceDao.deleteAllById(ids);
    }
}
