package com.sooka.sponest.middleware.data.digitalfirecontrol.service.impl;

import com.sooka.sponest.data.api.digitalfire.domain.FireFulltimeStation;
import com.sooka.sponest.middleware.data.digitalfirecontrol.dao.FireFulltimeStationDao;
import com.sooka.sponest.middleware.data.digitalfirecontrol.service.IFireFultimeStationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class IFireFultimeStationServiceImpl implements IFireFultimeStationService {

    @Autowired
    private FireFulltimeStationDao fireFulltimeStationDao;

    @Override
    public void save(FireFulltimeStation fireFulltimeStations) {
        fireFulltimeStations.setLocation(new GeoPoint(Double.valueOf(fireFulltimeStations.getLatitude()), Double.valueOf(fireFulltimeStations.getLongitude())));
        fireFulltimeStationDao.save(fireFulltimeStations);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        fireFulltimeStationDao.deleteAllById(ids);
    }
}
