package com.sooka.sponest.middleware.data.digitalfirecontrol.service.impl;

import com.sooka.sponest.data.api.digitalfire.domain.FireKeyPlaces;
import com.sooka.sponest.middleware.data.digitalfirecontrol.dao.FireKeyPlacesDao;
import com.sooka.sponest.middleware.data.digitalfirecontrol.service.IFireKeyPlacesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class IFireKeyPlacesServiceImpl implements IFireKeyPlacesService {

    @Autowired
    private FireKeyPlacesDao fireKeyPlacesDao;

    @Override
    public void save(FireKeyPlaces fireKeyPlaces) {
        fireKeyPlaces.setLocation(new GeoPoint(Double.valueOf(fireKeyPlaces.getLatitude()), Double.valueOf(fireKeyPlaces.getLongitude())));
        fireKeyPlacesDao.save(fireKeyPlaces);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        fireKeyPlacesDao.deleteAllById(ids);
    }
}
