package com.sooka.sponest.middleware.data.digitalfirecontrol.service.impl;

import com.sooka.sponest.data.api.digitalfire.domain.FirePressureSensor;
import com.sooka.sponest.middleware.data.digitalfirecontrol.dao.FirePressureSensorDao;
import com.sooka.sponest.middleware.data.digitalfirecontrol.service.IFirePressureSensorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class IFirePressureSensorServiceImpl implements IFirePressureSensorService {

    @Autowired
    private FirePressureSensorDao firePressureSensorDao;

    @Override
    public void save(FirePressureSensor firePressureSensors) {
        firePressureSensors.setLocation(new GeoPoint(Double.valueOf(firePressureSensors.getLatitude()), Double.valueOf(firePressureSensors.getLongitude())));
        firePressureSensorDao.save(firePressureSensors);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        firePressureSensorDao.deleteAllById(ids);
    }
}
