package com.sooka.sponest.middleware.data.digitalforest.service.impl;

import com.sooka.sponest.data.api.digitalforest.domain.Channel;
import com.sooka.sponest.middleware.data.digitalforest.dao.ChannelDao;
import com.sooka.sponest.middleware.data.digitalforest.service.IChannelDaoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ChannelDaoServiceImpl implements IChannelDaoService {


    @Autowired
    private ChannelDao channelDao;

    @Override
    public void save(Channel channel) {
        channel.setLocation(new GeoPoint(Double.valueOf(channel.getLatitude()), Double.valueOf(channel.getLongitude())));
        channelDao.save(channel);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        channelDao.deleteAllById(ids);
    }


}
