package com.sooka.sponest.middleware.data.digitalforest.service.impl;

import com.ruoyi.common.security.utils.DictUtils;
import com.sooka.sponest.data.api.digitalforest.domain.Fireteam;
import com.sooka.sponest.middleware.data.digitalforest.dao.FireteamDao;
import com.sooka.sponest.middleware.data.digitalforest.service.IFireTeamDaoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class FireTeamDaoServiceImpl implements IFireTeamDaoService {

    @Autowired
    private FireteamDao fireteamDao;

    @Override
    public void save(Fireteam fireTeam) {
        fireTeam.setLocation(new GeoPoint(Double.valueOf(fireTeam.getLatitude()), Double.valueOf(fireTeam.getLongitude())));
        fireTeam.setZoningLabel(DictUtils.getDictDataByValue("centerdata_forest_fire_zoning",fireTeam.getZoning()));
        fireTeam.setCategoryLabel(DictUtils.getDictDataByValue("centerdata_forest_fire_category",fireTeam.getCategory()));
        fireTeam.setStandardLabel(DictUtils.getDictDataByValue("centerdata_forest_fire_reach_standard",fireTeam.getStandard()));
        fireteamDao.save(fireTeam);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        fireteamDao.deleteAllById(ids);
    }

}
