package com.sooka.sponest.middleware.data.digitalforest.service.impl;

import com.ruoyi.common.security.utils.DictUtils;
import com.sooka.sponest.data.api.digitalforest.domain.KeyFireproofPlots;
import com.sooka.sponest.middleware.data.digitalforest.dao.KeyFireproofPlotsDao;
import com.sooka.sponest.middleware.data.digitalforest.service.IKeyFireproofPlotsDaoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class KeyFireproofPlotsDaoServiceImpl implements IKeyFireproofPlotsDaoService {

    @Autowired
    private KeyFireproofPlotsDao keyFireproofPlotsDao;


    @Override
    public void save(KeyFireproofPlots keyFireproofPlots) {
        keyFireproofPlots.setLocation(new GeoPoint(Double.valueOf(keyFireproofPlots.getLatitude()), Double.valueOf(keyFireproofPlots.getLongitude())));
        keyFireproofPlots.setForestSpeciesLabel(DictUtils.getDictDataByValue("dominant_tree_species",keyFireproofPlots.getForestSpecies()));
        keyFireproofPlotsDao.save(keyFireproofPlots);

    }

    @Override
    public void deleteAllById(List<String> ids) {
        keyFireproofPlotsDao.deleteAllById(ids);
    }

}
