package com.sooka.sponest.middleware.data.digitalforest.service.impl;

import com.sooka.sponest.data.api.digitalforest.domain.Landing;
import com.sooka.sponest.middleware.data.digitalforest.dao.LandingDao;
import com.sooka.sponest.middleware.data.digitalforest.service.ILandingDaoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class LandingDaoServiceImpl implements ILandingDaoService {

    @Autowired
    private LandingDao landingDao;

    @Override
    public void save(Landing landing) {
        landing.setLocation(new GeoPoint(Double.valueOf(landing.getLatitude()), Double.valueOf(landing.getLongitude())));
        landingDao.save(landing);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        landingDao.deleteAllById(ids);
    }

}
