package com.sooka.sponest.middleware.data.digitalresource.service.impl;


import com.ruoyi.common.security.utils.DictUtils;
import com.sooka.sponest.data.api.digitalresource.domain.Deposit;
import com.sooka.sponest.middleware.data.digitalresource.dao.DepositDao;
import com.sooka.sponest.middleware.data.digitalresource.service.IDepositService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author lidongyu
 * @date 2023/7/26
 */
@Service
public class DepositServiceImpl implements IDepositService {

    @Autowired
    private DepositDao depositDao;

    @Override
    public Deposit save(Deposit deposit) {
        deposit.setLocation(new GeoPoint(Double.valueOf(deposit.getLatitude()), Double.valueOf(deposit.getLongitude())));
        deposit.setDepositTypeLabel(DictUtils.getDictDataByValue("centerdata_deposit_type",deposit.getDepositType()));
        depositDao.save(deposit);
        return deposit;
    }
}
