package com.sooka.sponest.middleware.data.digitalresource.service.impl;

import com.ruoyi.common.security.utils.DictUtils;
import com.sooka.sponest.data.api.digitalresource.domain.GeologicHazard;
import com.sooka.sponest.middleware.data.digitalresource.dao.GeologicHazardDao;
import com.sooka.sponest.middleware.data.digitalresource.service.IGeologicHazardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author lidongyu
 * @date 2023/7/26
 */
@Service
public class GeologicHazardServiceImpl implements IGeologicHazardService {

    @Autowired
    private GeologicHazardDao geologicHazardDao;

    @Override
    public GeologicHazard save(GeologicHazard geologicHazard) {
        geologicHazard.setLocation(new GeoPoint(Double.valueOf(geologicHazard.getLatitude()), Double.valueOf(geologicHazard.getLongitude())));
        geologicHazard.setDisasterTypeLabel(DictUtils.getDictDataByValue("centerdata_disaster_type",geologicHazard.getDisasterType()));
        geologicHazardDao.save(geologicHazard);
        return geologicHazard;
    }
}
