package com.sooka.sponest.middleware.data.digitalresource.service.impl;


import com.ruoyi.common.security.utils.DictUtils;
import com.sooka.sponest.data.api.other.domain.CenterdataTResourcesHydroenergy;
import com.sooka.sponest.middleware.data.digitalresource.dao.HydroenergyDao;
import com.sooka.sponest.middleware.data.digitalresource.service.IHydroenergyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author lidongyu
 * @date 2023/7/26
 */
@Service
public class HydroenergyServiceImpl implements IHydroenergyService {

    @Autowired
    private HydroenergyDao hydroenergyDao;

    @Override
    public void save(CenterdataTResourcesHydroenergy hydroenergy) {
        hydroenergy.setLocation(new GeoPoint(Double.valueOf(hydroenergy.getLatitude()), Double.valueOf(hydroenergy.getLongitude())));
        hydroenergy.setHydroenergyTypeLabel(DictUtils.getDictDataByValue("centerdata_hydroenergy_type",hydroenergy.getHydroenergyType()));
        hydroenergyDao.save(hydroenergy);
    }
}
