package com.sooka.sponest.middleware.event.eventcatalogue.entity;

import com.sooka.sponest.data.api.base.BaseEntity;
import lombok.Data;
import org.springframework.data.elasticsearch.annotations.Document;

import java.util.List;

/**
 * @Auther: mjq
 * @Date: 2023/7/5 - 07 - 05 - 23:10
 * @Description: com.sooka.sponest.rabbitmq.event.es.domain
 * @version: 1.0
 */
@Data
@Document(indexName = "event_catalogue")
public class EventCatalogue extends BaseEntity {

    /**
     * 事件编号
     */
    private String eventCode;

    /**
     * 事件名称
     */
    private String eventName;

    /**
     * 事件描述
     */
    private String eventDescription;

    /**
     * 事件分类(大类)
     */
    private String eventType;

    /**
     * 事件分类label(大类)
     */
    private String eventTypeLabel;

    /**
     * 事件分类(小类)
     */
    private String eventTypeXl;

    /**
     * 事件分类label(小类)
     */
    private String eventTypeXlLabel;

    /**
     * 事件来源
     */
    private String reportSource;

    /**
     * 事件来源label
     */
    private String reportSourceLabel;

    /**
     * 上报人
     */
    private String reportor;

    /**
     * 上报具体位置
     */
    private String address;

    /**
     * 事件状态
     */
    private String eventStatusValue;

    /**
     * 事件状态label
     */
    private String eventStatus;

    /**
     * 是否被催办
     */
    private String isUrged;

    /**
     * 事件关联部门id集合
     */
    private List<Long> deptIds;
}
