package com.sooka.sponest.middleware.event.eventcatalogue.service.impl;

import com.sooka.sponest.middleware.event.eventcatalogue.dao.EventCatalogueDao;
import com.sooka.sponest.middleware.event.eventcatalogue.dao.EventCatalogueMapper;
import com.sooka.sponest.middleware.event.eventcatalogue.entity.EventCatalogue;
import com.sooka.sponest.middleware.event.eventcatalogue.entity.EventLog;
import com.sooka.sponest.middleware.event.eventcatalogue.service.IEventCatalogueService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 事件中心-移动端Service业务层处理
 *
 * @author lyq
 * @date 2022-11-05
 */
@Service
public class EventCatalogueServiceImpl implements IEventCatalogueService {

    @Autowired
    private EventCatalogueDao eventCatalogueDao;

    /**
     * 批量新增
     *
     * @param eventCatalogues
     * @return
     */
    @Override
    public List<EventCatalogue> saveAll(List<EventCatalogue> eventCatalogues) {
        eventCatalogues.forEach(item -> item.setLocation(new GeoPoint(Double.valueOf(item.getLatitude()), Double.valueOf(item.getLongitude()))));
        eventCatalogueDao.saveAll(eventCatalogues);
        return eventCatalogues;
    }

    /**
     * 删除
     *
     * @param eventCode
     * @return
     */
    @Override
    public int deleteEventCatalogueByEventCode(String eventCode) {
        return eventCatalogueDao.deleteEventCatalogueByEventCode(eventCode);
    }


    @Autowired
    private EventCatalogueMapper eventCatalogueMapper;

    /**
     * 查询
     *
     * @param param
     * @return
     */
    @Override
    public List<EventCatalogue> getEventCatalogues(Map<String, Object> params) {
        return eventCatalogueMapper.getEventCatalogues(params);
    }

    /**
     * 修改事件催办状态
     *
     * @param eventCode
     * @return
     */
    @Override
    public int updateCentereventTEventcatalogue(String eventCode) {
        return eventCatalogueMapper.updateCentereventTEventcatalogue(eventCode);
    }

    /**
     * 插入事件日志
     *
     * @param eventLog
     * @return
     */
    @Override
    public int insertCentereventTFireLog(EventLog eventLog) {
        return eventCatalogueMapper.insertCentereventTFireLog(eventLog);
    }
}
